---
triple:          'arm64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_aarch64_mac_Nightly/build/macosx-aarch64-server-release/support/test/hotspot/jtreg/native/lib/libfieldacc03.dylib'
relocations:
  - { offsetInCU: 0x74, offset: 0x74, size: 0x8, addend: 0x0, symName: __ZL11eventsCount, symObjAddr: 0x1EC00, symBinAddr: 0x82F8, symSize: 0x0 }
  - { offsetInCU: 0x94, offset: 0x94, size: 0x8, addend: 0x0, symName: __ZL6result, symObjAddr: 0x1EC04, symBinAddr: 0x82FC, symSize: 0x0 }
  - { offsetInCU: 0xBF, offset: 0xBF, size: 0x8, addend: 0x0, symName: __ZL7watches, symObjAddr: 0x2BB8, symBinAddr: 0x8028, symSize: 0x0 }
  - { offsetInCU: 0x1A6, offset: 0x1A6, size: 0x8, addend: 0x0, symName: __ZL17isVirtualExpected, symObjAddr: 0x1EC05, symBinAddr: 0x82FD, symSize: 0x0 }
  - { offsetInCU: 0x1C4, offset: 0x1C4, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x1EC08, symBinAddr: 0x8300, symSize: 0x0 }
  - { offsetInCU: 0x8D98, offset: 0x8D98, size: 0x8, addend: 0x0, symName: __ZL9callbacks, symObjAddr: 0x1EC10, symBinAddr: 0x8308, symSize: 0x0 }
  - { offsetInCU: 0x8DB1, offset: 0x8DB1, size: 0x8, addend: 0x0, symName: __ZL14eventsExpected, symObjAddr: 0x1ED48, symBinAddr: 0x8440, symSize: 0x0 }
  - { offsetInCU: 0x8DC8, offset: 0x8DC8, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x784, symBinAddr: 0x275C, symSize: 0x24 }
  - { offsetInCU: 0x912C, offset: 0x912C, size: 0x8, addend: 0x0, symName: _FieldAccess, symObjAddr: 0xC70, symBinAddr: 0x2780, symSize: 0x6B0 }
  - { offsetInCU: 0x9629, offset: 0x9629, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x1320, symBinAddr: 0x2E30, symSize: 0x18C }
  - { offsetInCU: 0x988D, offset: 0x988D, size: 0x8, addend: 0x0, symName: _Java_fieldacc03_getReady, symObjAddr: 0x14AC, symBinAddr: 0x2FBC, symSize: 0x1E4 }
  - { offsetInCU: 0x9A77, offset: 0x9A77, size: 0x8, addend: 0x0, symName: _Java_fieldacc03_check, symObjAddr: 0x1690, symBinAddr: 0x31A0, symSize: 0x15C }
  - { offsetInCU: 0x9B94, offset: 0x9B94, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x17EC, symBinAddr: 0x32FC, symSize: 0x4 }
  - { offsetInCU: 0x9BDC, offset: 0x9BDC, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x17EC, symBinAddr: 0x32FC, symSize: 0x4 }
  - { offsetInCU: 0x9BEE, offset: 0x9BEE, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x17F0, symBinAddr: 0x3300, symSize: 0x4 }
  - { offsetInCU: 0x9C36, offset: 0x9C36, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x17F0, symBinAddr: 0x3300, symSize: 0x4 }
...
